SKF GoPlant
Api Reference 101

Exceptions

Get exception data based on query parameters. Exceptions are generated and available via the API when a form is committed.

Exceptions are scoped based on the form's round's storage group. If the round's storage group is outside of the user's scope, the exception is not available to that user.

GET /api/rest/exceptions Get a list of exceptions in the user’s scope using query parameters.

Get a list of exceptions created over the past 24 hours. If there are more than 1,000 exceptions created during that time, call the API again using the From-Exception-UUID parameter.

Request

                GET https://{goplant_instance}/api/rest/exceptions
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            

Get a list of exceptions created between December 1st, 5:00 and December 2nd, 18:00. All times are specified using UTC.

Request

                GET https://{goplant_instance}/api/rest/exceptions?Start-Time=2025-12-01T05:00:00&End-Time=2025-12-02T18:00:00
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            

Page through a large set of exceptions using the nextExceptionUuid value returned by the API.

The API returns up to Max-Responses exceptions at a time. If there are additional results, the next result’s UUID is returned as nextExceptionUuid. Use this as the value for From-Exception-UUID on the next request.

Request

                GET https://{goplant_instance}/api/rest/exceptions?Max-Responses=1000
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            

If the response contains "nextExceptionUuid": "1234-5678-9012-3456", call:


                GET https://{goplant_instance}/api/rest/exceptions?From-Exception-UUID=1234-5678-9012-3456&Max-Responses=1000
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            

Get a list of exceptions that are in storage groups 0001-0002-0003-0004 and 1111-2222-3333-4444 between December 1st and December 2nd. All times are specified using UTC.

Request

                GET https://{goplant_instance}/api/rest/exceptions?Storage-Group-UUID=0001-0002-0003-0004,1111-2222-3333-4444&Start-Time=2025-12-01T00:00:00&End-Time=2025-12-02T00:00:00
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            

Get a list of exceptions associated with specific response UUIDs.

When you pass one or more Response-UUID values, only exceptions associated with those responses are returned. If you pass Response-UUID (or From-Exception-UUID) without a Start-Time, the API internally uses 1970-01-01T00:00:00Z as the start time to avoid unintentionally filtering by date.

Request

                GET https://{goplant_instance}/api/rest/exceptions?Response-UUID=aaaa-bbbb-cccc-dddd,eeee-ffff-1111-2222
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            
Request Headers
Authorization
Authorization type and credentials to access the API. Only Basic Authorization is supported. Credentials are base 64 encoding of <username>:<password>.
Required value    Basic <encoded credentials>
string required
X-Api-Version
Specifies the version of the API to invoke. The behavior of a given API version remains the same. It is upward compatible from release to release. New versions of an API are created when new features or changes are introduced. To ensure expected behavior, always provide the X-Api-Version value.
integer required
URI Query Parameters
Start-Time
Limit exceptions to those created after the indicated start date and time. Start-Time is specified as a UTC string (ISO 8601).
If no Start-Time is specified and no From-Exception-UUID or Response-UUID is specified, the default value is 24 hours before the current time in UTC.
If From-Exception-UUID or Response-UUID is specified without Start-Time, an internal default of 1970-01-01T00:00:00Z is used to avoid time-based filtering.
string optional
End-Time
Limit exceptions to those created before the indicated end date and time. End-Time is specified as a UTC string.
If no End-Time is specified, the default value is the current time in UTC.
string optional
Max-Responses
Limit the number of exceptions returned. The maximum value is 1,000, which is also the default value.
The API retrieves one extra row internally to determine if additional pages of data are available.
string optional
From-Exception-UUID
Limit exceptions to the specified exception UUID and those that follow it. Used together with Max-Responses to page through large exception sets.
string optional
Response-UUID
Limit exceptions to those associated with the specified response UUID(s). Multiple UUIDs may be specified, separated by commas.
string optional
Storage-Group-UUID
Limit exceptions to those in the specified storage group(s). Multiple group UUIDs may be specified, separated by commas.
If the user specifies a group outside of their scope, an error will be returned.
string optional
Response Body Array of exceptions with paging information.
count
Number of exceptions returned.
integer
nextExceptionUuid
The UUID of the next exception after the last exception returned by this call. Null if there are no more exceptions. Use this value as From-Exception-UUID on the next request when paging.
string
exceptions
Array of exceptions within the current user’s scope.
array of exception-type
uuid
Unique ID of the exception.
string
uri
Exception URI for this resource.
string
assetTag
Asset tag associated with the exception.
string
formName
Name of the form where the exception occurred.
string
completedFormUri
URI of the completed form associated with this exception.
string
stepText
Text of the form step where the exception occurred.
string
stepType
Type of the form step where the exception occurred.
string
responseValue
The response value that triggered the exception.
string
responseUnits
Response unit. Null for all step types other than vibration and temperature readings.
string
responseUri
URI of the response associated with this exception.
string
condition
The condition expression used to detect the exception.
string
userName
User who submitted the response that triggered the exception.
string
exceptionType
Type of the exception.
string
exceptionSeverity
Severity of the exception.
string
exceptionTimeUTC
UTC time when the exception occurred.
string
exceptionStatus
Current status of the exception (for example, New, Acknowledged, Deleted, or Follow Up).
string
GET /api/rest/exceptions/:uuid Get a single instance of an exception.
Request

                GET https://{goplant_instance}/api/rest/exceptions/:uuid
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            
Request Headers
Authorization
Authorization type and credentials to access the API. Only Basic Authorization is supported. Credentials are base 64 encoding of <username>:<password>.
Required value    Basic <encoded credentials>
string required
X-Api-Version
Specifies the version of the API to invoke. The behavior of a given API version remains the same. It is upward compatible from release to release. New versions of an API are created when new features or changes are introduced. To ensure expected behavior, always provide the X-Api-Version value.
integer required
Response Body Requested exception.
uuid
Unique ID of the exception.
string
uri
Exception URI for this resource.
string
assetTag
Asset tag associated with the exception.
string
formName
Name of the form where the exception occurred.
string
completedFormUri
URI of the completed form associated with this exception.
string
stepText
Text of the form step where the exception occurred.
string
stepType
Type of the form step where the exception occurred.
string
responseValue
The response value that triggered the exception.
string
responseUnits
Response unit. Null for all step types other than vibration and temperature readings.
string
responseUri
URI of the response associated with this exception.
string
condition
The condition expression used to detect the exception.
string
userName
User who submitted the response that triggered the exception.
string
exceptionType
Type of the exception.
string
exceptionSeverity
Severity of the exception.
string
exceptionTimeUTC
UTC time when the exception occurred.
string
exceptionStatus
Current status of the exception (for example, New, Acknowledged, Deleted, or Follow Up).
string
GET /api/rest/exceptions/:uuid/status Get the status history of an exception.

Returns the status history for a specific exception, including all status updates over time.

Request

                GET https://{goplant_instance}/api/rest/exceptions/:uuid/status
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            
Request Headers
Authorization
Authorization type and credentials to access the API. Only Basic Authorization is supported. Credentials are base 64 encoding of <username>:<password>.
Required value    Basic <encoded credentials>
string required
X-Api-Version
Specifies the version of the API to invoke. The behavior of a given API version remains the same. It is upward compatible from release to release. New versions of an API are created when new features or changes are introduced. To ensure expected behavior, always provide the X-Api-Version value.
integer required
Response Body Array of status history entries for the requested exception.
statusUpdates
Array of status history entries for the requested exception. Each entry describes a change to the exception’s status (such as New, Acknowledged, Deleted, or Follow Up).
array of exception-status-type
PUT /api/rest/exceptions/:uuid/status Update the status of an exception.

Updates the current status of an exception. The user must have editor permissions.

Request

                PUT https://{goplant_instance}/api/rest/exceptions/:uuid/status
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
                Content-Type: application/json
            

Request Body

The request body must include the new exception status.


                {
                  "ExceptionStatus": "Acknowledged"
                }
            
Request Headers
Authorization
Authorization type and credentials to access the API. Only Basic Authorization is supported. Credentials are base 64 encoding of <username>:<password>.
Required value    Basic <encoded credentials>
string required
X-Api-Version
Specifies the version of the API to invoke. The behavior of a given API version remains the same. It is upward compatible from release to release. New versions of an API are created when new features or changes are introduced. To ensure expected behavior, always provide the X-Api-Version value.
integer required
Content-Type
Indicates the media type of the resource.
Required value    application/json
string required
Response Body Status update result for the exception (for example, the updated status and status history).
statusUpdates
Array of status history entries for the requested exception after the update is applied. Includes the current status and its history.
array of exception-status-type